#!/bin/bash
# blockio_test.sh - Don Yang (uguu.org)
#
# 06/03/12

OUTPUT=test_output

set -e
mkdir -p $OUTPUT

function encrypt_and_compare() {
   ./cipher e $OUTPUT/cipher.key $OUTPUT/cipher.in $OUTPUT/cipher.enc
   ./cipher d $OUTPUT/cipher.key $OUTPUT/cipher.enc $OUTPUT/cipher.dec
   cmp $OUTPUT/cipher.in $OUTPUT/cipher.dec
}

function run_test() {
   echo -n "$1" > $OUTPUT/cipher.in
   encrypt_and_compare
}

echo -n "key" > $OUTPUT/cipher.key

run_test "0000000000000000"
run_test "0000000000000001"
run_test "0000000011111111"
run_test "0000111100001111"
run_test "0011001100110011"
run_test "0101010101010101"
run_test "0123456789abcdef"
